%define _plugindir %(gimptool --gimpplugindir)/plug-ins
%define _mathmapdir %(gimptool --gimpdatadir)/mathmap
%define _langdir %{_datadir}/gtksourceview-1.0/language-specs

Name:           mathmap
Version:        1.2.4
Release:        5%{?dist}
Summary:        MathMap GIMP Plug-In and Command-Line Tool

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.complang.tuwien.ac.at/schani/mathmap/
Source:         http://www.complang.tuwien.ac.at/schani/mathmap/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  giflib-devel
BuildRequires:  gsl-devel
BuildRequires:  gimp
BuildRequires:  gimp-devel
BuildRequires:  gtksourceview-devel
BuildRequires:  lynx

Requires:	gimp


%description
MathMap is a GIMP plug-in which allows distortion of images specified
by mathematical formulae.  For each pixel in the generated image, an
expression is evaluated which should return a pixel value.  The
expression can either refer to a pixel in the source image or can
generate pixels completely independent of the source.


%prep
%setup -q

%{__perl} -pi -e 's|^LOCALEDIR = .*$|LOCALEDIR = %{_datadir}/locale|' Makefile
%{__perl} -pi -e 's|^OPT_CFLAGS :=.*$|OPT_CFLAGS := %{optflags}|' Makefile


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
## FIXME: make install from upstream package doesn't support DESTDIR
#make install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_bindir}
install -d $RPM_BUILD_ROOT/%{_plugindir}
install -d $RPM_BUILD_ROOT/%{_mathmapdir}
install -d $RPM_BUILD_ROOT/%{_langdir}
install -p -m 755 mathmap $RPM_BUILD_ROOT/%{_bindir}/mathmap
ln -s ../../../../bin/mathmap $RPM_BUILD_ROOT/%{_plugindir}/mathmap

# These next two lines generate rpmlint warnings because they install
# 'devel' files, but apparently are required at runtime because of the
# way gimp/blender plugins work.
install -p -m 644 new_template.c opmacros.h lispreader/pools.h $RPM_BUILD_ROOT/%{_mathmapdir}/
install -p -m 644 generators/blender/blender_template.c generators/blender/blender_opmacros.h $RPM_BUILD_ROOT/%{_mathmapdir}/

install -p -m 644 pixmaps/*.png $RPM_BUILD_ROOT/%{_mathmapdir}/
install -p -m 644 mathmap.lang $RPM_BUILD_ROOT/%{_langdir}/
cp -p -r examples $RPM_BUILD_ROOT/%{_mathmapdir}/expressions
%{_fixperms} $RPM_BUILD_ROOT/*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ANNOUNCEMENT COPYING README
%{_bindir}/mathmap
%{_plugindir}/mathmap
%{_langdir}/mathmap.lang
%{_mathmapdir}


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 21 2008 Robin Norwood <rnorwood@redhat.com> - 1.2.4-4
- Add a Requires: gimp

* Mon May 12 2008 Robin Norwood <rnorwood@redhat.com> - 1.2.4-3
- More fixes from package review:
- Honor optflags
- Set localedir properly

* Thu Feb  7 2008 Robin Norwood <rnorwood@redhat.com> - 1.2.4-2
- Update with fixes from package review
 
* Thu Jan 31 2008 Robin Norwood <rnorwood@redhat.com> - 1.2.4-1
- Initial build based upon spec by Mark Probst <schani@complang.tuwien.ac.at>
